/* //device/samples/SampleCode/src/com/android/samples/app/RemoteServiceInterface.java
**
** Copyright 2007, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License"); 
** you may not use this file except in compliance with the License. 
** You may obtain a copy of the License at 
**
**     http://www.apache.org/licenses/LICENSE-2.0 
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS, 
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
** See the License for the specific language governing permissions and 
** limitations under the License.
*/

package com.baidu.music.lebo.logic.service;

import com.baidu.music.lebo.logic.service.IPlayStateChangedListener;

interface IPlayService
{
	void playCurrent();
	void playNext();
	void playPrevious();
	void playAtPosition(int position);
	void playAtPositionAndSeek(int position, int seek);
	
	void play();
	void pause();
	void stop();
	void seek(long pos);
	long position();
	long duration();
	void passCurrentAd();
	void stopCurrentTask();
	int getDownloadProgress();
		
	String getTrackId();
	String getPath();
	String getDjName();
	String getDjId();
	String getTrackName();
	String getProgramId();
	String getProgramName();
	String getProgramImageLink();
	String getTrackImageLink();
	String getDjImageLink();
	String getShareImageLink();
	String getTrackLink();
	
	boolean isPlaying() ;
	boolean isStopped();
	boolean isPaused();
	boolean isIdle();
	
	boolean isLiked();
	boolean isSubcribed();
	boolean isLocalPlay();
	
	void registerListener(IPlayStateChangedListener listener);
	void unregisterListener(IPlayStateChangedListener listener);
}

